]> git.pld-linux.org Git - packages/glibc.git/blobdiff - nscd.init
- exclude doesn't help as we're not packaging these by wildcard anywhere
[packages/glibc.git] / nscd.init
index c225990cf4b994b2b934371be8cef17338765ac6..500ebfb90930947037395fc93d9004cad281a6fc 100644 (file)
--- a/nscd.init
+++ b/nscd.init
@@ -13,7 +13,6 @@
 
 # Sanity checks.
 [ -f /etc/nscd.conf ] || exit 0
-[ -x /usr/sbin/nscd ] || exit 0
 
 # Source function library.
 . /etc/rc.d/init.d/functions
@@ -24,7 +23,7 @@
 start() {
        if [ ! -f /var/lock/subsys/nscd ]; then
                msg_starting "Name Switch Cache Daemon"
-               daemon nscd
+               daemon /usr/sbin/nscd
                RETVAL=$?
                [ $RETVAL -eq 0 ] && touch /var/lock/subsys/nscd
        else
@@ -44,21 +43,46 @@ stop() {
        fi
 }
 
+condrestart() {
+       if [ -f /var/lock/subsys/nscd ]; then
+               stop
+               start
+       else
+               msg_not_running "Name Switch Cache Daemon"
+               RETVAL=$1
+       fi
+}
+
+upstart_controlled --except reload
+
+# return true if service is considered "up"
+# with upstart, upstart is consulted
+# otherwise lockfile in subsys must exist
+is_service_up() {
+       use_upstart && is_upstart_running "$1" || [ -f /var/lock/subsys/"$1" ]
+}
+
 RETVAL=0
 # See how we were called.
 case "$1" in
   start)
-       start
+       start
        ;;
   stop)
-       stop
+       stop
        ;;
-  status)
-       status nscd
-       exit $?
+  restart)
+       stop
+       start
+       ;;
+  try-restart)
+       condrestart 0
+       ;;
+  force-reload)
+       condrestart 7
        ;;
   reload)
-       if [ -f /var/lock/subsys/nscd ]; then
+       if is_service_up nscd; then
                for db in passwd group hosts; do
                        show "Invalidating %s cache" $db; busy
                        nscd -i $db && ok || fail
@@ -67,12 +91,12 @@ case "$1" in
                msg_not_running "Name Switch Cache Daemon"
        fi
        ;;
-  restart|force-reload)
-       stop
-       start
+  status)
+       status nscd
+       exit $?
        ;;
   *)
-       msg_usage "$0 {start|stop|restart|reload|force-reload|status}"
+       msg_usage "$0 {start|stop|restart|try-restart|reload|force-reload|status}"
        exit 3
 esac
 
This page took 0.026002 seconds and 4 git commands to generate.